## python-ntc-templates 3.5.0

=== docs/requirements.txt ===
mkdocs==1.3.1
# Material for MkDocs theme
mkdocs-material==8.3.9
# Render custom markdown for version added/changed/remove notes
mkdocs-version-annotations==1.0.0
# Automatic documentation from sources, for MkDocs
mkdocstrings==0.19
mkdocstrings-python==0.7.1

=== debian/changelog ===
python-ntc-templates (3.5.0-3) unstable; urgency=medium

  * Team Upload
  * Fix d/watch for new PyPi archive naming policy
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Nov 2025 21:22:06 +0100

python-ntc-templates (3.5.0-2) unstable; urgency=medium

  * Re-upload source-only.
  * Fixed wrong VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 10:04:06 +0200

python-ntc-templates (3.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1051831)

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Sep 2023 10:11:01 +0200

=== debian/control ===
Source: python-ntc-templates
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Build-Depends-Indep:
 python3-importlib-metadata,
 python3-pytest,
 python3-ruamel.yaml,
 python3-textfsm,
 python3-toml,
 python3-yaml,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-ntc-templates
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-ntc-templates.git
Homepage: https://ntc-templates.readthedocs.io

Package: python3-ntc-templates
Architecture: all
Depends:
 python3-textfsm,
 ${misc:Depends},
 ${python3:Depends},
Description: TextFSM Templates for Network Devices, and wrapper for TextFSM's CliTable
 This package contains TextFSM Templates for Network Devices, and a Python
 wrapper for TextFSM's CliTable. TextFSM helps make parsing cli commands more
 manageable.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/networktocode/ntc-templates/
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=ntc-templates
export PYBUILD_TEST_ARGS=-v tests

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build *.egg-info .pybuild .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

execute_after_dh_fixperms:
	chmod -x $(CURDIR)/debian/python3-ntc-templates/usr/lib/python3/dist-packages/ntc_templates/templates/cisco_ios_show_ip_flow_toptalkers.textfsm
	chmod -x $(CURDIR)/debian/python3-ntc-templates/usr/lib/python3/dist-packages/ntc_templates/templates/cisco_nxos_show_version.textfsm

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ntc-templates/ntc_templates-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
